<f:section name="image">
    <picture>
        <source media="(min-width: 1200px)" srcset="{f:uri.image(image:'{file}', width: 1920, height: 573c, treatIdAsReference: 'TRUE')}">
        <source media="(min-width: 992px)" srcset="{f:uri.image(image:'{file}', width: 992, treatIdAsReference: 'TRUE')}">
        <source media="(min-width: 768px)" srcset="{f:uri.image(image:'{file}', width: 768, treatIdAsReference: 'TRUE', cropVariant:'tablet')}">
        <source media="(min-width: 576px)" srcset="{f:uri.image(image:'{file}', width: 576, treatIdAsReference: 'TRUE', cropVariant:'mobile')}">
        <source media="(min-width: 480px)" srcset="{f:uri.image(image:'{file}', width: 570, treatIdAsReference: 'TRUE', cropVariant:'mobile')}">

        <source srcset="{f:uri.image(image:'{file}', width: 320, treatIdAsReference: 'TRUE', cropVariant:'mobile')}">
        <f:media file="{file}" width="400c" height="600c" loading="lazy" title="{file.title}" alt="{file.alt}" class="d-block"/>
    </picture>
<f:comment>
    <v:media.picture src="{file}" title="{file.originalResource.title}" alt="{file.originalResource.alternative}" additionalAttributes="{loading:'lazy'}" class="d-block">
        <v:media.source media="(min-width: 1200px)" width="1920c"  height="573c" />
        <v:media.source media="(min-width: 992px)" width="992c" />
        <v:media.source media="(min-width: 768px)" width="768c" />
        <v:media.source media="(min-width: 567px)" width="576c" />
        <v:media.source media="(min-width: 480px)" width="570c" />
        <v:media.source width="400c" height="600c" />
        <!--[if IE 9]>
        <v:media.source width="1920c" height="573c" />
        <![endif]-->
    </v:media.picture>
</f:comment>
</f:section>

<f:if condition="{data.tx_mask_top_slider}">
    <section class="swiper swiper-slider">
        <div class="swiper-wrapper">
            <f:for each="{data.tx_mask_top_slider}" as="data_item">
                <div class="swiper-slide w-100 d-flex justify-content-center align-items-center">
                    <div class="content d-flex flex-column justify-content-center align-items-center text-white text-center text-lg-start px-3 px-lg-0">
                        <f:if condition="{data_item.tx_mask_slide_headline}">
                            <span class="h1">{data_item.tx_mask_slide_headline}</span>
                        </f:if>
                        <f:if condition="{data_item.tx_mask_slide_subline}">
                            <i class="icon-line"></i>
                            <span class="h2">{data_item.tx_mask_slide_subline}</span>
                        </f:if>
                    </div>
                    <f:if condition="{data_item.tx_mask_slide_image}">
                        <f:then>
                            <f:for each="{data_item.tx_mask_slide_image}" as="file">
                                <f:render section="image" arguments="{file:file}"/>
                            </f:for>
                        </f:then>
                        <f:else>
                            <picture>
                                <source media="(min-width: 1200px)" srcset="https://via.placeholder.com/1920x573 1x, https://via.placeholder.com/3840x1146 2x">
                                <source media="(min-width: 992px)" srcset="https://via.placeholder.com/992x600 1x,https://via.placeholder.com/1984x1200 2x">
                                <source media="(min-width: 768px)" srcset="https://via.placeholder.com/768x500 1x, https://via.placeholder.com/1536x1000 2x">
                                <source media="(min-width: 567px)" srcset="https://via.placeholder.com/576x350">
                                <source media="(min-width: 480px)" srcset="https://via.placeholder.com/570x350">
                                <source srcset="https://via.placeholder.com/400x600">
                                <!--[if IE 9]>
                                <source srcset="https://via.placeholder.com/1920x573" />
                                <![endif]-->
                                <img src="https://via.placeholder.com/1920x573" class="d-block">
                            </picture>
                        </f:else>
                    </f:if>
                </div>
            </f:for>
        </div>
    </section>
</f:if>
